## org.gjt.sp.jedit
Interface MiscUtilities.Compare

All Superinterfaces:
  java.util.Comparator

All Known Implementing Classes:
  MiscUtilities.MenuItemCompare, MiscUtilities.StringCompare

Enclosing class:
  MiscUtilities

Deprecated.

    @Deprecated
    public static interface MiscUtilities.Compare

extends java.util.Comparator

An interface for comparing objects. This is a hold-over from they days when jEdit had its own sorting API due to JDK 1.1 compatibility requirements. Use `java.util.Comparator` instead.

Method Summary
`int` `compare(java.lang.Object obj1, java.lang.Object obj2)` Deprecated.

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### compare

    int compare(java.lang.Object obj1,
                java.lang.Object obj2)

  Deprecated.
  Specified by:
    `compare` in interface `java.util.Comparator`